Module jdk.compiler
Package com.sun.source.tree

## Enum LambdaExpressionTree.BodyKind

- java.lang.Object
- - java.lang.Enum<LambdaExpressionTree.BodyKind>
  - - com.sun.source.tree.LambdaExpressionTree.BodyKind

All Implemented Interfaces:
  `Serializable`, `Comparable<LambdaExpressionTree.BodyKind>`

Enclosing interface:
  LambdaExpressionTree

    public static enum LambdaExpressionTree.BodyKind
    extends Enum<LambdaExpressionTree.BodyKind>

Lambda expressions come in two forms:

- expression lambdas, whose body is an expression, and
- statement lambdas, whose body is a block

### Enum Constant Summary

Enum Constants
`EXPRESSION` enum constant for expression lambdas
`STATEMENT` enum constant for statement lambdas

### Method Summary

All Methods Static Methods Concrete Methods
`static LambdaExpressionTree.BodyKind` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static LambdaExpressionTree.BodyKind[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods declared in class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### EXPRESSION

    public static final LambdaExpressionTree.BodyKind EXPRESSION

enum constant for expression lambdas

#### STATEMENT

    public static final LambdaExpressionTree.BodyKind STATEMENT

enum constant for statement lambdas

### Method Detail

#### values

    public static LambdaExpressionTree.BodyKind[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (LambdaExpressionTree.BodyKind c : LambdaExpressionTree.BodyKind.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static LambdaExpressionTree.BodyKind valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null